Package org.apache.ignite.internal.management.kill

## Class KillContinuousCommand

- java.lang.Object
- - org.apache.ignite.internal.management.kill.KillContinuousCommand

All Implemented Interfaces:
  `Command<KillContinuousCommandArg,​Void>`, `ComputeCommand<KillContinuousCommandArg,​Void>`

    public class KillContinuousCommand
    extends Object
    implements ComputeCommand<KillContinuousCommandArg,​Void>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`KillContinuousCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<KillContinuousCommandArg>` `argClass()`
`String` `description()` Command description.
`Class<ContinuousQueryCancelTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException, nodes, printResult`

### Constructor Detail

#### KillContinuousCommand

    public KillContinuousCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<KillContinuousCommandArg,​Void>`

#### argClass

    public Class<KillContinuousCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<KillContinuousCommandArg,​Void>`
Returns:
  Arguments class.

#### taskClass

    public Class<ContinuousQueryCancelTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<KillContinuousCommandArg,​Void>`
Returns:
  Task class.